Bug 81083 - RFE: Timezone setting defaults to US, but could be defaulted more accurately
RFE: Timezone setting defaults to US, but could be defaulted more accurately
Status: CLOSED WONTFIX
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
phoebe
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-03 19:52 EST by Richard Lloyd
Modified: 2007-04-18 12:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-08 14:58:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Lloyd 2003-01-03 19:52:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021202

Description of problem:
anaconda always defaults to a US timezone when it asks you set a
timezone and yet it could be better defaulted.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot phoebe CD-ROM disc 1 and run anaconda
2. Go through the install, which asks for the installation language,
   the country keyboard layout (and even the default/installed
   language of the final configured system later on too).
3. Get to the timezone setting section (completely with fiddly world
   map :-) ) and it, ahem, always defaults to a US timezone.
    

Actual Results:  I entered English for the installation language, UK for the
keyboard
layout and British English as the only installed (and hence
default) langauge for the final system. The default timezone setting
remained stubbornly US-based though and that map isn't easy to
click on :-)

Expected Results:  Considering I've given it big, big hints about which country I'm
in, you'd have hoped that the default timezone would be adjusted
(where possible) to an appropriate country, but sadly this doesn't
happen.

Additional info:

Not much else to say - the default timezone should be set based
on previous user input about their country/language and should only
default to the US if it's not possible to use the info to set such
a (better) default timezone.
Comment 1 Miloslav Trmac 2003-01-04 12:32:11 EST
When I select Czech, I get Prague preselected. Maybe it is caused by the ambiguity of "English" language?
Comment 2 Michael Fulbright 2003-01-08 14:58:27 EST
The timezone guess is based on the language, not the keyboard.

I dont see us changing how this works.

Comment 3 Richard Lloyd 2003-01-08 15:19:22 EST
I suspect the problem here is possibly the order of the questions in anaconda.
At one point (possibly near the end and maybe after the timezone is selected),
the default language for the final system is chosen (this isn't the
installation language, but that actual language for the system when you first
reboot it).

The installation language doesn't distinguish between US English and UK English
(it just says "English"), but the final system language *does* distinguish
between the two. If you delayed the timezone choice until the final system
language is chosen, you'd have a more accurate "language" to base your default
timezone setting on and - ta-ra - UK users would finally get London as the
default timezone area (which I suspect they've never had in any Red Hat
install before).

I don't know how difficult/painful it would be to put the timezone selection
after the final system language is chosen, but if it is feasible, then perhaps
closing this bug early was a little premature ? Anyone at Red Hat care to
comment ?

Note You need to log in before you can comment on or make changes to this bug.